Makini
v4 (Latest)
  • v4 (Latest)
  • v3 (Legacy)
User GuideAPI Reference
User GuideAPI Reference
Website
v4 (Latest)
  • v4 (Latest)
  • v3 (Legacy)
v4 (Latest)
  • v4 (Latest)
  • v3 (Legacy)
  1. Localities
  • System
  • Accounts
    • List Accounts
      GET
    • Get Account by ID
      GET
  • Addresses
    • List Addresses
      GET
    • Get Address by ID
      GET
  • Assets
    • List Assets
      GET
  • Banks
    • List Banks
      GET
  • Banks Accounts
    • List Bank Accounts
      GET
  • Bills of Materials (BOM)
    • List BOMs
      GET
  • Bins
    • List Bins
      GET
  • Budgets
    • List Budgets
      GET
  • Business Units
    • List Business Units
      GET
    • Get Business Unit by ID
      GET
  • Contacts
    • List Contacts
      GET
  • Contracts
    • List Contracts
      GET
  • Countries
    • List Countries
      GET
    • Get Country by ID
      GET
  • Credit Notes
    • List Credit Notes
  • Currencies
    • List Currencies
    • Get Currency by ID
  • Customers
    • List Customers
    • Get Customer by ID
  • Cycle Counts
    • List Cycle Counts
  • Employees
    • List Employees
    • Get Employee by ID
  • Fiscal Calendars
    • List Fiscal Calendars
  • Fiscal Periods
    • List Fiscal Periods
  • Fiscal Years
    • List Fiscal Years
  • Fulfillments
    • List Fulfillments
  • Items
    • List Items
  • Inventory Adjustments
    • List Inventory Adjustments
  • Inventory Transfers
    • List Inventory Transfers
  • Invoices
    • List Invoices
  • Item Supplies
    • List Item Supplies
  • Journal Entries
    • List Journal Entries
  • Languages
    • List Languages
    • Get Language by ID
  • Localities
    • List Localities
      GET
    • Get Locality by ID
      GET
  • Locations
    • List Locations
    • Get Location by ID
  • Maintenance Templates
    • List Maintenance Templates
  • Maintenance Triggers
    • List Maintenance Triggers
  • Meters
    • List Meters
  • Meter Readings
    • List Meter Readings
  • Organizations
    • List Organizations
    • Get Organization by ID
  • Partners
    • List Partners
    • Get Partner by ID
  • Payables
    • List Payables
  • Payment Methods
    • List Payment Methods
  • Payment Terms
    • List Payment Terms
  • Payments
    • List Payments
  • Persons
    • List Persons
    • Get Person by ID
  • Picks
    • List Picks
  • Production Orders
    • List Production Orders
  • Properties
    • List Properties
  • Purchase Requisitions
    • List Purchase Requisitions
  • Purchase Orders
    • List Purchase Orders
  • Putaways
    • List Putaways
  • Quotes
    • List Quotes
  • Receipts
    • List Receipts
  • Receivables
    • List Receivables
  • Requests for Quotation (RFQ)
    • List RFQs
  • Return Orders
    • List Return Orders
  • Routings
    • List Routings
  • Production Operations
    • List Production Operations
  • Sales Opportunities
    • List Sales Opportunities
  • Sales Orders
    • List Sales Orders
  • Shipment Orders
    • List Shipment Orders
  • Sites
    • List Sites
  • Spaces
    • List Spaces
  • Stock Items
    • List Stock Items
  • Tax Rates
    • List Tax Rates
  • Units
    • List Units
  • Vendors
    • List Vendors
    • Get Vendor by ID
  • Work Centers
    • List Work Centers
  • Work Orders
    • List Work Orders
  • Work Requests
    • List Work Requests
  1. Localities

Get Locality by ID

Developing
GET
https://api.makini.io/v4/localities/{id}

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Query Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.makini.io/v4/localities/?extend' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "data": {
        "id": "12345678aaaaaa111111bbbbbb222222cccccc33",
        "code": "entity-code-1",
        "_source": "EndpointName",
        "_idValue": "1234",
        "_displayValue": "string",
        "_updatedAt": "2019-08-24T14:15:22.123Z",
        "_createdAt": "2019-08-24T14:15:22.123Z",
        "_deletedAt": "2019-08-24T14:15:22.123Z",
        "_implements": [
            "string"
        ],
        "name": "Entity Name",
        "description": "Entity Description",
        "isoCode": "string",
        "postalCodes": [
            "string"
        ],
        "timezone": "America/Los_Angeles",
        "isActive": true,
        "parent": {
            "id": "12345678aaaaaa111111bbbbbb222222cccccc33",
            "_idValue": "1234",
            "_displayValue": "string",
            "rel": "endpoint",
            "href": "https://api.makini.io/v4/endpoints/12345678aaaaaa111111bbbbbb222222cccccc33"
        },
        "country": {
            "id": "12345678aaaaaa111111bbbbbb222222cccccc33",
            "_idValue": "1234",
            "_displayValue": "string",
            "rel": "endpoint",
            "href": "https://api.makini.io/v4/endpoints/12345678aaaaaa111111bbbbbb222222cccccc33"
        }
    }
}
Modified at 2026-02-15 00:17:42
Previous
List Localities
Next
List Locations
Built with